std::__profile::deque< _Tp, _Allocator >(3)

NAME
std::__profile::deque< _Tp, _Allocator > - Class std::deque wrapper with performance instrumentation.

SYNOPSIS

Inherits deque< _Tp, _Allocator >.

  Public Types
typedef _Base::size_type size_type
typedef _Base::value_type value_type

  Public Member Functions
deque (const deque &)=default
deque (deque &&)=default
deque (const deque &__d, const _Allocator &__a)
deque (deque &&__d, const _Allocator &__a)
deque (initializer_list< value_type > __l, const _Allocator &__a=_Allocator())
deque (const _Allocator &__a)
deque (size_type __n, const _Allocator &__a=_Allocator())
deque (size_type __n, const _Tp &__value, const _Allocator &__a=_Allocator())
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> deque (_InputIterator __first, _InputIterator __last, const _Allocator &__a=_Allocator())
deque (const _Base &__x)
_Base & _M_base () noexcept
const _Base & _M_base () const noexcept
deque & operator= (const deque &)=default
deque & operator= (deque &&)=default
deque & operator= (initializer_list< value_type > __l)
void swap (deque &__x) noexcept(/*conditional */)

Detailed Description

  template<typename _Tp, typename _Allocator = std::allocator<_Tp>>
class std::__profile::deque< _Tp, _Allocator >" Class std::deque wrapper with performance instrumentation.

Definition at line 40 of file profile/deque.

Author

Generated automatically by Doxygen for libstdc++ from the source code.